petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMProductSetDM

Set sub-DM associated with a given slot of DMProduct

### Synopsis

    PETSC_EXTERN PetscErrorCode DMProductSetDM(DM dm,PetscInt slot,DM subdm)

Not collective

### Input Parameters

| dm | - the DMProduct
| slot | - which dimension slot, in the range 0 to dim-1
| subdm | - the sub-DM

### Notes

This function does not destroy the provided sub-DM. You may safely destroy it after calling this function.

### See Also

DMPRODUCT, DMProductGetDM(), DMProductSetDimensionIndex()

### Level

advanced

### Location

src/dm/impls/product/productutils.c
Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages